## org.jfree.util
Interface LogTarget

All Known Implementing Classes:
  PrintStreamLogTarget

public interface LogTarget

An interface that defines a log target (a consumer of log messages). Classes which implement this interface can be registered with the `Log` class and will then receive logging messages generated by the code.

Author:
  Thomas Morgner

Field Summary
`static int` `DEBUG` Loglevel DEBUG.
`static int` `ERROR` Loglevel ERROR.
`static int` `INFO` Loglevel INFO.
`static java.lang.String[]` `LEVELS` Strings for the log levels.
`static int` `WARN` Loglevel WARN.

Method Summary
`void` `log(int level, java.lang.Object message)` Logs a message at a specified log level.
`void` `log(int level, java.lang.Object message, java.lang.Exception e)` Logs a message at a specified log level.

Field Detail

### ERROR

    public static final int ERROR

  Loglevel ERROR.

  See Also:
    Constant Field Values

### WARN

    public static final int WARN

  Loglevel WARN.

  See Also:
    Constant Field Values

### INFO

    public static final int INFO

  Loglevel INFO.

  See Also:
    Constant Field Values

### DEBUG

    public static final int DEBUG

  Loglevel DEBUG.

  See Also:
    Constant Field Values

### LEVELS

    public static final java.lang.String[] LEVELS

  Strings for the log levels.

Method Detail

### log

    public void log(int level,
                    java.lang.Object message)

  Logs a message at a specified log level.

  Parameters:
    `level` - the log level.
    `message` - the log message.

### log

    public void log(int level,
                    java.lang.Object message,
                    java.lang.Exception e)

  Logs a message at a specified log level.

  Parameters:
    `level` - the log level.
    `message` - the log message.
    `e` - the exception